
Katello - Bug #5509

content host UI - Service Level not populating w/ values

04/30/2014 11:53 AM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1093020 Red Hat JIRA:  

Pull request:    

Description

Clicking pencil edit icon on Details page throws javascript error

TypeError: Cannot read property 'length' of undefined

at http://localhost:3000/assets/bastion/incubator/alch-edit.directive.js?body=1:61:47

at wrappedCallback (http://localhost:3000/assets/bastion/angular/angular.js?body=1:10950:81)

at http://localhost:3000/assets/bastion/angular/angular.js?body=1:11036:26

at Scope.$eval (http://localhost:3000/assets/bastion/angular/angular.js?body=1:11956:28)

at Scope.$digest (http://localhost:3000/assets/bastion/angular/angular.js?body=1:11782:31)

at Scope.$apply (http://localhost:3000/assets/bastion/angular/angular.js?body=1:12062:24)

at done (http://localhost:3000/assets/bastion/angular/angular.js?body=1:7844:45)

at completeRequest (http://localhost:3000/assets/bastion/angular/angular.js?body=1:8027:7)

at XMLHttpRequest.xhr.onreadystatechange (http://localhost:3000/assets/bastion/angular/angular.js?body=1:7983:11)

History

#1 - 04/30/2014 12:38 PM - Thomas McKay

- Status changed from New to Assigned

- Assignee set to Thomas McKay

#2 - 04/30/2014 12:38 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1093020

#3 - 06/04/2014 04:04 PM - Eric Helms

- Status changed from Assigned to Closed

- Triaged changed from No to Yes

Tested this locally by attaching a subscription and then changing the service level.

#4 - 08/22/2014 08:06 AM - Eric Helms

- translation missing: en.field_release set to 13
